Package uk.ac.starlink.topcat.activate

# Interface ActivationType

All Known Implementing Classes:
  `BrowserActivationType`, `CutoutActivationType`, `DelayActivationType`, `DownloadActivationType`, `GenericViewImageActivationType`, `InvokeDatalinkActivationType`, `JelActivationType`, `LoadTableActivationType`, `NopActivationType`, `PlotTableActivationType`, `RegionViewImageActivationType`, `SendCustomActivationType`, `SendHips2fitsActivationType`, `SendImageActivationType`, `SendIndexActivationType`, `SendSkyPosActivationType`, `SendSpectrumActivationType`, `SendTableActivationType`, `ServiceActivationType`, `ShellActivationType`, `TopcatSkyPosActivationType`, `ViewDatalinkActivationType`, `ViewHips2fitsActivationType`, `ViewImageActivationType`

public interface ActivationType
Defines a type of activation action that can be invoked on table rows. An instance of this class documents its general behaviour, and can produce a GUI component that acts as a factory for Activator instances.

Since:
  23 Jan 2018
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`ActivatorConfigurator`
`createConfigurator(TopcatModelInfo tinfo)`
Returns a component that can be used to configure activators of this type.
`String`
`getDescription()`
Description of this activation type.
`String`
`getName()`
Name of this activation type.
`Suitability`
`getSuitability(TopcatModelInfo tinfo)`
Indicates the applicability of this activation type to a given table.

## Method Details

### getName

String getName()
Name of this activation type.

Returns:
  type name

### getDescription

String getDescription()
Description of this activation type.

Returns:
  type description

### createConfigurator

ActivatorConfigurator createConfigurator(TopcatModelInfo tinfo)
Returns a component that can be used to configure activators of this type.

Parameters:
  `tinfo` - information about topcat model for which the activation will take place
Returns:
  new configurator to produce compatible Activators

### getSuitability

Suitability getSuitability(TopcatModelInfo tinfo)
Indicates the applicability of this activation type to a given table.

Parameters:
  `tinfo` - information about topcat model
Returns:
  suitability code